# Access token info

`GET /token.info`

## Description

Get information about the access token, such as the Chat Address.

**Access:** Organization and Personal.

**No specific scope required.**

---

**OpenAPI Spec:** [chat.json](https://developer.ro.am/chat.json)

## Authentication

```
Authorization: Bearer YOUR_API_KEY
```

## Responses

### 200 - Info retrieved successfully

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `addr` | TaggedUUID | Yes | The bot's chat address |
| `scopes` | string[] | Yes | List of OAuth scopes granted to this token |
| `roam` | object | Yes | Information about the Roam workspace |

**TaggedUUID**:

A UUID prefixed by a tag identifying the specific type of object
**roam**:

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `id` | string | No | The Roam's external ID |
| `name` | string | No | The Roam's display name |
| `imageUrl` | string | No | URL of the Roam's profile image |
| `iconUrl` | string | No | URL of the Roam's icon |


#### Example Response

```json
{
  "addr": "B-b893c426-6d54-4d9a-8e71-6bd53b26124e",
  "scopes": [
    "chat:read",
    "chat:send_message",
    "user:read",
    "user:read.email"
  ],
  "roam": {
    "id": "12QJUIKR29",
    "name": "Acme Corp",
    "imageUrl": "https://ro.am/card-images/b5313458-1363-4832-a408-deaf740ad014",
    "iconUrl": "https://ro.am/card-images/08705e4f-7e32-4a5f-8f57-39e24eaadcbd"
  }
}
```

### 500 - An internal error occured.

---

*Machine-readable API documentation.*
*Full documentation: https://developer.ro.am/docs/chat-api/token-info*
